[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TMSGbuf

Generic message data record

## Declaration

Source position: ipc.pp line 377

`type TMSGbuf = record`
`mtype: clong;` |  | Message type
`mtext: array [0..0] of Char;` |  | Message data
`end;`

## Description

The TMSGbuf record is a record containing the data of a record. you should never use this record directly, instead you should make your own record that follows the structure of the TMSGbuf record, but that has a size that is big enough to accomodate your messages. The mtype field should always be present, and should always be filled.

Documentation generated on: Feb 26 2014